Skip to main content
POST
/
knowledgeSource
/
websiteConnector
Create a website connector
curl --request POST \
  --url https://demo.enneo.ai/api/mind/knowledgeSource/websiteConnector \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://example.com",
  "name": "Example Website",
  "parent": 0,
  "maxPages": 50,
  "frequency": "weekly",
  "description": "<string>",
  "includePaths": [
    "<string>"
  ],
  "excludePaths": [
    "<string>"
  ]
}
'
{
  "success": true,
  "id": 42
}

Authorizations

Authorization
string
header
required

JWT-based authentication

Body

application/json
url
string
required

The URL to crawl

Example:

"https://example.com"

name
string

Display name for the connector. Defaults to the hostname of the URL.

Example:

"Example Website"

parent
integer

Parent folder ID in knowledge source structure

Example:

0

maxPages
integer
default:100

Maximum number of pages to crawl

Example:

50

frequency
enum<string>
default:weekly

Crawl frequency

Available options:
daily,
weekly
description
string

Description of the connector

includePaths
string[]

URL path patterns to include

excludePaths
string[]

URL path patterns to exclude

Response

Created

success
boolean
Example:

true

id
integer

ID of the created connector

Example:

42